Bug 587633 - Screen not always locked after resume from hibernate
Screen not always locked after resume from hibernate
Status: CLOSED DUPLICATE of bug 525395
Product: Fedora
Classification: Fedora
Component: xfce4-power-manager (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: CVE-2009-4996
  Show dependency treegraph
 
Reported: 2010-04-30 08:48 EDT by cschwangler
Modified: 2011-11-14 14:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-30 10:52:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log files and other information (71.91 KB, application/x-arj)
2010-04-30 08:48 EDT, cschwangler
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 4805 None None None Never

  None (edit)
Description cschwangler 2010-04-30 08:48:22 EDT
Created attachment 410395 [details]
Log files and other information

Description of problem:
The screen is not locked after resuming from hibernation. This happens, if the hibernation time is below the time before the screen saver kicks in. For suspend everything works as expected, i.e. the screen is locked even if the time for the screen saver has not passed. 
XFCE power manager is configured such that screen is to be locked after suspend/hibernate. My understanding (which may be wrong) is, that this means that the screen is always locked if the machine resumes from suspend/hibernate.

Version-Release number of selected component (if applicable):
Fedora 13, nightly compose 2010-04-29, all updates applied, xfce-power-manager 0.8.5-1

How reproducible:
Consistently on my machine.

Steps to Reproduce:
1. Set screen saver to kick in after e.g. 15 minutes
2. Hibernate the machine
3. Resume after e.g. 5 minutes. Screen is not locked.
4. Resume after e.g. 20 minutes. Screen is locked.
  
Actual results:
Screen is only locked, if time for screen saver has passed.

Expected results:
If power manager is configured such that screen is locked after resume from suspend/hibernate, it should not depend on screen saver settings.

Additional info:
Just want to make clear that there is no problem with going into suspend or hibernate mode, neither is there a problem with resuming on this machine.
Comment 1 Christoph Wickert 2010-04-30 10:00:27 EDT
How so you hibernate the machine? From the logout dialog or from the power manager trayicon?
Comment 2 cschwangler 2010-04-30 10:34:37 EDT
In all these tests I have used the logout dialog.
Comment 3 Christoph Wickert 2010-04-30 10:52:03 EDT
Then it is not supposed to work as the logout dialog has nothing to do with xfce4-power-manager but directly calls pm-utils, so it doesn't honor the settings of xfce4-power-manager.

As already mentioned in bug 525395, upstream has no intentions to change the current behavior:
"I'm going to reject this.  xfce4-power-manager supports this already, and does
a fine job.  It's silly to duplicate this in more than one place. 
Conceptually, the session manager isn't the place for this anyway."
http://bugzilla.xfce.org/show_bug.cgi?id=4805#c7

"My original assertion still stands: xfce4-session WILL NOT support locking the
screen after suspend.  I've already explained why and I don't intend to rehash
this."
http://bugzilla.xfce.org/show_bug.cgi?id=4805#c23

I think we should just remove the buttons from the logout dialog to avoid further confusion. This can be done in xfconf, but I'm going to ask for more feedback on the Fedora Xfce mailing list first.

Thanks for your bug report and for helping us testing. I hope this answer is not too disappointing for you.

*** This bug has been marked as a duplicate of bug 525395 ***

Note You need to log in before you can comment on or make changes to this bug.